(* ------------------------------------------------------ *)
(*                    TXDOS.PAS                           *)
(*                  Systemroutinen                        *)
(* ------------------------------------------------------ *)
UNIT txDos;

INTERFACE

USES Dos, txString;

  FUNCTION TimeString : STRING;
  { Der String enthlt die aktuelle Systemzeit   }

  FUNCTION DateString : STRING;
  { Der String enthlt das aktuelle Systemdatum  }

IMPLEMENTATION

  FUNCTION TimeString : STRING;
  VAR
    a, b, c, d    : WORD;
    Std, Min, Sek : STRING [4];
  BEGIN
    Dos.GetTime(a, b, c, d);
    Str(a, Std);  Std := txString.Right('00' + Std, 2);
    Str(b, Min);  Min := txString.Right('00' + Min, 2);
    Str(c, Sek);  Sek := txString.Right('00' + Sek, 2);
    TimeString := Std + ':' + Min + ':' + Sek;
  END;

  FUNCTION DateString : STRING;
  VAR
    a, b, c, d    : WORD;
    Tag, Mon, Jar : STRING [4];
  BEGIN
    Dos.GetDate(a, b, c, d);
    a := a - 1900;
    Str(A, Jar);  Jar := txString.Right('00' + Jar, 2);
    Str(B, Mon);  Mon := txString.Right('00' + Mon, 2);
    Str(C, Tag);  Tag := txString.Right('00' + Tag, 2);
    DateString := Tag + '.' + Mon + '.' + Jar;
  END;

END.
(* ------------------------------------------------------ *)
(*                Ende von TXDOS.PAS                      *)
