(* ------------------------------------------------------ *)
(*                    COLTEST.PAS                         *)
(*               Testen der Farbselektion                 *)
(*             (c) 1990 Sven Selle & TOOLBOX              *)
(* ------------------------------------------------------ *)
PROGRAM ColorTest;

USES Crt, ColMod;

VAR
  TxtC, BckC : BYTE;
  BlinkOn    : BOOLEAN;

{$F+}
  PROCEDURE Anzeige;

    FUNCTION FarbName(farbe : BYTE) : STRING;
    BEGIN
      CASE farbe OF
         0 : FarbName := 'Schwarz';
         1 : FarbName := 'Blau';
         2 : FarbName := 'Grn';
         3 : FarbName := 'Trkis';
         4 : FarbName := 'Rot';
         5 : FarbName := 'Fuchsinrot';
         6 : FarbName := 'Braun';
         7 : FarbName := 'Hellgrau';
         8 : FarbName := 'Dunkelgrau';
         9 : FarbName := 'Hellblau';
        10 : FarbName := 'Hellgrn';
        11 : FarbName := 'Hell-Trkis';
        12 : FarbName := 'Hellrot';
        13 : FarbName := 'Hell-Fuchsinrot';
        14 : FarbName := 'Gelb';
        15 : FarbName := 'Wei';
      END;
    END;

  BEGIN
    IF ActPressKey = #64 {F6} THEN BEGIN
      IF BlinkOn THEN
        VGA_BlinkOff
      ELSE
        VGA_BlinkOn;
      BlinkOn := NOT BlinkOn;
    END;
    Window(56, 07, 75, 12);
    TextAttr := ActTxtColor + (ActBckColor SHL 4);
    ClrScr;
    WriteLn;
    WriteLn(' ', FarbName(ActTxtColor));
    WriteLn(' auf');
    WriteLn(' ', FarbName(ActBckColor));
    WriteLn(#32#176#177#178#219#255#219#178#177#176#32);
    Window(1, 1, 80, 25);
    GotoXY(56,16); Write(' Attribut: ', TextAttr:8, ' ');
  END;


BEGIN
  TextAttr := LightGray;
  ClrScr;
  GotoXY(1,25);
  Write('    F6  - Umschalten BLINKEN/INTENSIV    ',
        'RETURN  - Whlen      ESC  - ABBRUCH');
  VGA_BlinkOn;    BlinkOn := TRUE;
  TxtC := White;  BckC    := Green;

  ColorSelect(2, 2, TRUE, Anzeige, TxtC, BckC);
  TextAttr := LightGray;
  ClrScr;
  IF TxtC <> 255 THEN
    WriteLn('Textfarbe: ', ActTxtColor,
            '  Hintergrund: ', ActBckColor)
  ELSE
    WriteLn('ABBRUCH');
END.
(* ------------------------------------------------------ *)
(*                Ende von COLTEST.PAS                    *)