(* ------------------------------------------------------ *)
(*                    TXSTRING.PAS                        *)
(*               Zeichenketten-Routinen                   *)
(* ------------------------------------------------------ *)
UNIT txString;

INTERFACE

  FUNCTION  Right(s : STRING; L : WORD) : STRING;
  { Stellt die L-ten Stellen eines Strings von rechts dar  }
  { entspricht dem BASIC'schen RIGHT$                      }

  FUNCTION  Fill(ch : CHAR; L : WORD) : STRING;
  { Fill ist ein String mit L-Mal dem Zeichen C            }

IMPLEMENTATION

  FUNCTION Right(s : STRING; L : WORD) : STRING;
  BEGIN
    Right := Copy(s, Length(s) - L + 1, Length(s));
  END;

  FUNCTION Fill(ch : CHAR; L : WORD) : STRING;
  VAR
    x  : INTEGER;
    st : STRING;
  BEGIN
    st := '';
    FOR x := 1 TO L DO st := st + ch;
    Fill := st;
  END;

END.
(* ------------------------------------------------------ *)
(*                 Ende von TXSTRING.PAS                  *)
